#ifndef INCLUDED_snow_platform_native_input_sdl_MouseEventType
#define INCLUDED_snow_platform_native_input_sdl_MouseEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS5(snow,platform,native,input,sdl,MouseEventType)
namespace snow{
namespace platform{
namespace native{
namespace input{
namespace sdl{


class MouseEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef MouseEventType_obj OBJ_;

	public:
		MouseEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.platform.native.input.sdl.MouseEventType"); }
		::String __ToString() const { return HX_CSTRING("MouseEventType.") + tag; }

		static ::snow::platform::native::input::sdl::MouseEventType down;
		static inline ::snow::platform::native::input::sdl::MouseEventType down_dyn() { return down; }
		static ::snow::platform::native::input::sdl::MouseEventType move;
		static inline ::snow::platform::native::input::sdl::MouseEventType move_dyn() { return move; }
		static ::snow::platform::native::input::sdl::MouseEventType unknown;
		static inline ::snow::platform::native::input::sdl::MouseEventType unknown_dyn() { return unknown; }
		static ::snow::platform::native::input::sdl::MouseEventType up;
		static inline ::snow::platform::native::input::sdl::MouseEventType up_dyn() { return up; }
		static ::snow::platform::native::input::sdl::MouseEventType wheel;
		static inline ::snow::platform::native::input::sdl::MouseEventType wheel_dyn() { return wheel; }
};

} // end namespace snow
} // end namespace platform
} // end namespace native
} // end namespace input
} // end namespace sdl

#endif /* INCLUDED_snow_platform_native_input_sdl_MouseEventType */ 
